> For the complete documentation index, see [llms.txt](https://docs.postgresql.tw/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.postgresql.tw/reference/sql-commands/sql-reset.md).

# RESET

### RESET

RESET — restore the value of a run-time parameter to the default value

### Synopsis

```

RESET configuration_parameter
RESET ALL
```

### Description

`RESET` restores run-time parameters to their default values. `RESET` is an alternative spelling for

```

SET configuration_parameter TO DEFAULT
```

Refer to [SET](/reference/sql-commands/sql-set.md) for details.

The default value is defined as the value that the parameter would have had, if no `SET` had ever been issued for it in the current session. The actual source of this value might be a compiled-in default, the configuration file, command-line options, or per-database or per-user default settings. This is subtly different from defining it as “the value that the parameter had at session start”, because if the value came from the configuration file, it will be reset to whatever is specified by the configuration file now. See [Chapter 19](/server-administration/runtime-config.md) for details.

The transactional behavior of `RESET` is the same as `SET`: its effects will be undone by transaction rollback.

### Parameters

*`configuration_parameter`* : Name of a settable run-time parameter. Available parameters are documented in [Chapter 19](/server-administration/runtime-config.md) and on the [SET](/reference/sql-commands/sql-set.md) reference page.

`ALL` : Resets all settable run-time parameters to default values.

### Examples

Set the `timezone` configuration variable to its default value:

```

RESET timezone;
```

### Compatibility

`RESET` is a PostgreSQL extension.

### See Also

[SET](/reference/sql-commands/sql-set.md), [SHOW](/reference/sql-commands/sql-show.md)

***

原文：[PostgreSQL 18.6 Documentation](https://www.postgresql.org/docs/18/sql-reset.html)（英文原文，待翻譯）


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.postgresql.tw/reference/sql-commands/sql-reset.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
